# Class ControlHideShowDirective

#### Hierarchy (View Summary)

- ExtractControlFromParentMixin
- ExtractFormDefinitionMixin
  - ControlHideShowDirective

#### Implements

- OnInit
- OnDestroy

- Defined in packages/angular/form-system/src/lib/directives/control-hide-show.directive.ts:69
- Defined in packages/angular/form-system/src/lib/directives/control-hide-show.directive.ts:78

#####
Index

### Constructors

constructor

### Properties

control
controlId?

### Methods

extractControlFromParent
extractFormDefinition
ngOnDestroy
ngOnInit

##
Constructors

### constructor

- new ControlHideShowDirective(
  renderer: Renderer2,
  elementRef: ElementRef,
  parent: null | ControlContainer,
  ngControl: null | NgControl,
  ): ControlHideShowDirective

  #### Parameters

  - renderer: Renderer2
  - elementRef: ElementRef
  - parent: null | ControlContainer
  - ngControl: null | NgControl

  #### Returns ControlHideShowDirective

  Inherited from ExtractFormDefinitionMixin.constructor

  - Defined in packages/angular/form-system/src/lib/directives/control-hide-show.directive.ts:87

##
Properties

### control

control: RxapFormControl

- Defined in packages/angular/form-system/src/lib/directives/control-hide-show.directive.ts:83

### `Optional` controlId

controlId?: string

- Defined in packages/angular/form-system/src/lib/directives/control-hide-show.directive.ts:81

##
Methods

### `Protected` extractControlFromParent

- extractControlFromParent(
  parent: ControlContainer,
  controlPath: string,
  ): AbstractControl

  #### Parameters

  - parent: ControlContainer
  - controlPath: string

  #### Returns AbstractControl

  Inherited from ExtractControlFromParentMixin.extractControlFromParent

  - Defined in packages/angular/form-system/src/lib/mixins/extract-control-from-parent.mixin.ts:12

### `Protected` extractFormDefinition

- extractFormDefinition(control: AbstractControl): FormDefinition

  #### Parameters

  - control: AbstractControl

  #### Returns FormDefinition

  Inherited from ExtractFormDefinitionMixin.extractFormDefinition

  - Defined in packages/angular/form-system/src/lib/mixins/extract-form-definition.mixin.ts:10

### ngOnDestroy

- ngOnDestroy(): void

  A callback method that performs custom clean-up, invoked immediately before a directive, pipe, or service instance is destroyed.

  #### Returns void

  - Defined in packages/angular/form-system/src/lib/directives/control-hide-show.directive.ts:202

### ngOnInit

- ngOnInit(): void

  A callback method that is invoked immediately after the default change detector has checked the directive's data-bound properties for the first time, and before any of the view or content children have been checked. It is invoked only once when the directive is instantiated.

  #### Returns void

  - Defined in packages/angular/form-system/src/lib/directives/control-hide-show.directive.ts:102